Subject: bug#65460: ghc/ghci are broken

From: Simon Tournier <[email-masked]>
Date: Tue, 05 Sep 2023 19:42:34 +0200

Hi Maxim,

On Tue, 29 Aug 2023 at 17:07, Maxim Cournoyer <[email-masked]> wrote:

> For building tools requiring a compiler, the current expectation across
> Guix packages is that the user provides the one it wants.  Even if using
> GCC, you may want to use a different version, and rebuilding GHC just to
> do so is... expensive.

Well, I have a patch series somewhere on my disk that adds ghc-toolchain
and hides ghc, similarly as gcc-toolchain.  Somehow, I think that, “guix
shell ghc-toolchain” should just work out-of-the-box.  And the
replacement of the C toolchain would be done with the package
transformation with-c-toolchain.

Bah, the series needs polishing…  arf!

Cheers,
simon